Subject: Re: [MMUSIC] 10 BUNDLE questions: 3. When creating an initial offer, how should we deal with the case where a "null" port is to be used with trickle ICE (since 6.1:1 indicates the ports MUST be different)?

From: Christer Holmberg <[email-masked]>
Date: Thu, 25 Apr 2013 11:01:54 +0000

Hi,

>3. When creating an initial offer, how should we deal with the case where a "null" port is to be used with trickle ICE (since 6.1:1 indicates the ports MUST be different)?

Discussion:

In general, from a pure SDP Offer/Answer perspective, I see no major issue with using ports 0 or 9 for multiple m- lines. That should be allowed even without BUNDLE.

It would need to be indicated in the BUNDLE draft, though.

The problem, as Paul has indicated, seems to come from the grouping framework (RFC 5888), which forbids (for reasons not clearly specified) the usage of a port zero m- line within a group. 

Also, I think it applies to both SDP offers and answers, and also to subsequent offers and answers.

The options I can think of.

1) Update RFC 5888, and relax the current rule. Of course, we would carefully need to study that it would be ok to relax the rule.

2) Use another port, e.g. 9

3) Keep m- lines with port 0 outside of any bundle group. When removing streams that may be ok, but I am not sure how/whether it would work with trickle ICE.

4) Use "dummy" port values in the m- line, until the real port values can be revealed.

So, this is an open issue we need to discuss.

Regards,

Christer